Ask coding questions

← Back to all posts
I can't install better-sqlite3
Gozei (0)

I tried to install quick.db to my bot and it doesn't worked, so I tried to install better-sqlite3, and it returned the exactly same error:

[email protected] install /home/runner/Apollo/node_modules/better-sqlite3
prebuild-install || npm run build-release

prebuild-install WARN install /lib/x86_64-linux-gnu/libm.so.6: version `GLIBC_2.29' not found (required by /home/runner/Apollo/node_modules/better-sqlite3/build/Release/better_sqlite3.node)

[email protected] build-release /home/runner/Apollo/node_modules/better-sqlite3
node-gyp rebuild --release

make: Entering directory '/home/runner/Apollo/node_modules/better-sqlite3/build'
TOUCH b857c92884e9598d609f6be182a2595df7a8e00f.intermediate
ACTION deps_sqlite3_gyp_locate_sqlite3_target_extract_sqlite3 b857c92884e9598d609f6be182a2595df7a8e00f.intermediate
TOUCH Release/obj.target/deps/locate_sqlite3.stamp
CC(target) Release/obj.target/sqlite3/gen/sqlite3/sqlite3.o
Ping recebido às 17:34:19
Ping recebido às 17:39:19
cc: internal compiler error: Killed (program cc1)
Please submit a full bug report,
with preprocessed source if appropriate.
See file:///usr/share/doc/gcc-6/README.Bugs for instructions.
deps/sqlite3.target.mk:183: recipe for target 'Release/obj.target/sqlite3/gen/sqlite3/sqlite3.o' failed
make: *** [Release/obj.target/sqlite3/gen/sqlite3/sqlite3.o] Error 4
rm b857c92884e9598d609f6be182a2595df7a8e00f.intermediate
make: Leaving directory '/home/runner/Apollo/node_modules/better-sqlite3/build'
gyp ERR! build error
gyp ERR! stack Error: make failed with exit code: 2
gyp ERR! stack at ChildProcess.onExit (/usr/local/lib/node_modules/npm/node_modules/node-gyp/lib/build.js:194:23)
gyp ERR! stack at ChildProcess.emit (events.js:314:20)
gyp ERR! stack at Process.ChildProcess._handle.onexit (internal/child_process.js:276:12)
gyp ERR! System Linux 5.4.0-1042-gcp
gyp ERR! command "/usr/local/bin/node" "/usr/local/lib/node_modules/npm/node_modules/node-gyp/bin/node-gyp.js" "rebuild" "--release"
gyp ERR! cwd /home/runner/Apollo/node_modules/better-sqlite3
gyp ERR! node -v v12.22.1
gyp ERR! node-gyp -v v5.1.0
gyp ERR! not ok
npm ERR! code ELIFECYCLE
npm ERR! errno 1
npm ERR! [email protected] build-release: node-gyp rebuild --release
npm ERR! Exit status 1
npm ERR!
npm ERR! Failed at the [email protected] build-release script.
npm ERR! This is probably not a problem with npm. There is likely additional logging output above.

npm ERR! A complete log of this run can be found in:
npm ERR! /home/runner/.npm/_logs/2021-04-28T20_40_29_226Z-debug.log
npm WARN [email protected] No description
npm WARN [email protected] No repository field.

npm ERR! code ELIFECYCLE
npm ERR! errno 1
npm ERR! [email protected] install: prebuild-install || npm run build-release
npm ERR! Exit status 1
npm ERR!
npm ERR! Failed at the [email protected] install script.
npm ERR! This is probably not a problem with npm. There is likely additional logging output above.

npm ERR! A complete log of this run can be found in:
npm ERR! /home/runner/.npm/_logs/2021-04-28T20_40_31_724Z-debug.log
exit status 1

Voters
Gozei (0)
Comments
hotnewtop
[deleted]

Ok, you could use replit build in data base, but I recommend firebase. On YouTube look up (firebase tutorial fireship ) and you’ll find help

Gozei (0)

@TestOP so i cant use quick.db?